## wmacpi 1.33

=== Makefile ===
# set options.  pick one, acpi or apm.  comment out the other one.  don't
# uncomment both, bad things will happen :)

OPT	= -O3 -DACPI
#OPT	= -O3 -DAPM

# uncomment this to make wmacpi use less system colors (looks uglier too)
#OPT	+= -DLOW_COLOR

# debugging options (don't bother with these)
#OPT	= -pg -g -DPRO -DACPI

CC	= gcc
CFLAGS	= $(OPT) -Wall -ansi -I/usr/X11R6/include
LDFLAGS = $(OPT) -L/usr/X11R6/lib -lX11 -lXpm -lXext

SRCS	= wmacpi.c libapm.c libacpi.c
OBJS	= wmacpi.o libapm.o libacpi.o

all:	wmacpi

wmacpi:	$(OBJS)

clean:
	rm -f *.o *~ wmacpi trace *.out *.bb *.bbg

## wmacpi 1.99r5

=== Makefile ===
# set options.  pick one, acpi or apm.  comment out the other one.  don't
# uncomment both, bad things will happen :)

OPT	:= -O2 

# uncomment this to build the command line acpi tool
BUILD_CLI = 1

# uncomment this to make wmacpi use less system colors (looks uglier too)
#OPT	+= -DLOW_COLOR

# debugging options (don't bother with these)
#OPT	= -pg -g

CC	:= gcc
CFLAGS	:= $(OPT) -Wall -W -g -ansi -I/usr/X11R6/include
LDFLAGS := $(OPT) -L/usr/X11R6/lib -lX11 -lXpm -lXext

WMSRC	:= wmacpi.c libacpi.c
HEADERS := libacpi.h wmacpi.h
targets := wmacpi
doc_targets := wmacpi.1

ifdef BUILD_CLI
targets += acpi
doc_targets += acpi.1
endif

PREFIX := /usr/local

all: $(targets)

# build the list of object files
WMOBJ := $(patsubst %.c,%.o,$(filter %.c,$(WMSRC)))

# include per-file dependencies
include $(WMOBJ:.o=.d)

wmacpi:	$(WMOBJ)
	$(CC) $(LDFLAGS) -o $@ $^

# for the Debian package, we want to make building the command line tools
# optional. So, we hide all the necessary stuff here . . . 
ifdef BUILD_CLI
CLSRC := acpi.c libacpi.c
CLOBJ := $(patsubst %.c,%.o,$(filter %.c,$(CLSRC)))
include $(CLOBJ:.o=.d)

acpi: $(CLOBJ)
	$(CC) $(LDFLAGS) -o $@ $^
endif

# build per-file dependencies - note that -MM may not be supported
# in gcc versions older than 2.95.4, but most likely is.
%.d: %.c
	gcc -MM $(CFLAGS) $< > $@

clean:
	rm -f TAGS *.o *~ trace *.out *.bb *.bbg 

clean-all: clean
	rm -f *.d $(targets)

install: $(targets)
	install -d $(PREFIX)/bin/
	install -pc $(targets) $(PREFIX)/bin/
	install -d $(PREFIX)/man/man1/
	install -pc $(doc_targets) $(PREFIX)/man/man1/

tags:
	etags $(WMSRC) $(CLSRC) $(HEADERS)

## wmacpi 2.1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 CC	:= gcc
 CFLAGS	:= $(OPT) -Wall -W -g -ansi -I/usr/X11R6/include
-LDFLAGS := $(OPT) -L/usr/X11R6/lib -lX11 -lXpm -lXext
+LDFLAGS := $(OPT) -L/usr/X11R6/lib -lX11 -lXpm -lXext -ldockapp
 
 WMSRC	:= wmacpi.c libacpi.c
 HEADERS := libacpi.h wmacpi.h

## wmacpi 2.2~rc3

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 CC	:= gcc
 CFLAGS	:= $(OPT) -Wall -W -g -ansi -I/usr/X11R6/include
-LDFLAGS := $(OPT) -L/usr/X11R6/lib -lX11 -lXpm -lXext -ldockapp
+LDFLAGS := $(OPT) -lX11 -ldockapp
 
 WMSRC	:= wmacpi.c libacpi.c
 HEADERS := libacpi.h wmacpi.h
@@ -34,7 +34,7 @@
 WMOBJ := $(patsubst %.c,%.o,$(filter %.c,$(WMSRC)))
 
 # include per-file dependencies
-include $(WMOBJ:.o=.d)
+-include $(WMOBJ:.o=.d)
 
 wmacpi:	$(WMOBJ)
 	$(CC) $(LDFLAGS) -o $@ $^
@@ -44,7 +44,7 @@
 ifdef BUILD_CLI
 CLSRC := acpi.c libacpi.c
 CLOBJ := $(patsubst %.c,%.o,$(filter %.c,$(CLSRC)))
-include $(CLOBJ:.o=.d)
+-include $(CLOBJ:.o=.d)
 
 acpi: $(CLOBJ)
 	$(CC) $(LDFLAGS) -o $@ $^

## wmacpi 2.2~rc5

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 -include $(WMOBJ:.o=.d)
 
 wmacpi:	$(WMOBJ)
-	$(CC) $(LDFLAGS) -o $@ $^
+	$(CC) -o $@ $^ $(LDFLAGS)
 
 # for the Debian package, we want to make building the command line tools
 # optional. So, we hide all the necessary stuff here . . .

=== debian/changelog ===
wmacpi (2.2~rc5-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
    + Do not recommend wmaker, as dockapps can be used with a number of other
      window managers.
    + Drop dpatch build-dep.
  * debian/rules:
    + Drop dpatch code.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 12:34:39 +0200

wmacpi (2.2~rc4-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libxext-dev instead of x11proto-xext-dev to account for
      changes in the X packaging (closes: #569362).
    + Bump Standards-Version to 3.8.4 (no changes).
    + Add ${misc:Depends}.

  * debian/copyright:
    + Refer explicitly to the GPL-2 file.

 -- Julien BLACHE <jblache@debian.org>  Sat, 13 Feb 2010 09:26:32 +0100

wmacpi (2.2~rc4-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).

  * debian/patches/10_man_no_acpi.dpatch:
    + Updated; add a patch description.

 -- Julien BLACHE <jblache@debian.org>  Fri, 14 Nov 2008 19:06:56 +0100

wmacpi (2.2~rc3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_power_supply_and_misc_fixes.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Sat, 22 Mar 2008 10:12:25 +0100

wmacpi (2.2~rc1-4) unstable; urgency=low

  * debian/patches/01_power_supply_and_misc_fixes.dpatch:
    + Updated; take into account that batteries can report either their energy
      level, charge level, or capacity percentage (closes: #465388).

 -- Julien BLACHE <jblache@debian.org>  Wed, 13 Feb 2008 22:09:30 +0100

wmacpi (2.2~rc1-3) unstable; urgency=low

  * debian/patches/01_power_supply_and_misc_fixes.dpatch:
    + Added; add support for the power_supply class for 2.6.24+ and other misc
      fixes (mostly graphical glitches) (closes: #463446).
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).
    + Move homepage to Homepage: field.
  * debian/copyright:
    + Added proper copyrights.

 -- Julien BLACHE <jblache@debian.org>  Sun, 10 Feb 2008 18:37:35 +0100

wmacpi (2.2~rc1-2) unstable; urgency=low

  * debian/menu:
    + Add a description.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 21:00:40 +0200

wmacpi (2.2~rc1-1) unstable; urgency=low

  * Adopting wmacpi (closes: #420091).
  * New upstream release.
    + Now more friendly with non-WindowMaker window managers
      (closes: #280495, #293546).
    + Fixed redraw logic (closes: #423712).
  * debian/copyright:
    + Updated download URL (closes: #429698).
    + Updated author's email address.
  * debian/control:
    + Updated URL.
    + Build-Depends: dpatch.
  * debian/rules:
    + Add dpatch stuff.
  * debian/menu:
    + Moved menu entry to Applications/System/Monitoring.
  * debian/patches/10_man_no_acpi.dpatch:
    + Added; acpi is not shipped in the package, so don't document it.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 21:00:26 +0200

wmacpi (2.1-9) unstable; urgency=low

  * QA upload.
  * Add support for the new Linux 2.6 ACPI sysfs hierarchy. (Closes: #412605)
    Thanks to Samuel “the shark” Ortiz <samuel@sortiz.org>.
  * Remove initial preposition from the short description.
  * Update watch file to version 3 (no changes needed).
  * Change x-dev Build-Depends to x11proto-core-dev.
  * Add missing Build-Depends x11proto-xext-dev and libxpm-dev.
  * Do not use '/usr/X11R6/lib' and '/usr/X11R6/include' when compiling.
  * Do not complain if the dependency files (.d) are not found when including
    them in the Makefile.
  * Clean up debian/copyright:
    - Use 'License' instead of 'Copyright'.
    - Add a new 'Upstream authors' section heading.
  * Clean up debian/rules:
    - Remove empty configure target.
    - Move duped cflags assignments in noopt to a common assignment.
    - Do not use a build-stamp file.
    - Remove boilerplate comments.
    - Add build-indep and build-arch targets. Make build depend on both.
    - Rename install to install-arch, make it depend on build-arch.
    - Change binary-indep to not depend on anything.
    - Change binary-arch to depend on install-arch.

 -- Guillem Jover <guillem@debian.org>  Tue, 22 May 2007 14:47:25 +0300

wmacpi (2.1-8) unstable; urgency=low

  * Orphaned package. See you fellas.

 -- Sebastian Henschel <shensche@debian.org>  Fri, 20 Apr 2007 10:54:39 +1200

wmacpi (2.1-7) unstable; urgency=low

  * New upstream release to close several bugs, see below.
  * debian/control:
    - Fix display issues with newer versions of libdockapp,
    closes: #280495, #293546

 -- Sebastian Henschel <shensche@debian.org>  Thu, 22 Feb 2007 17:44:08 +1300

wmacpi (2.1-6) unstable; urgency=low

  * wmacpi.c:
    - Slight modification of libdockapp0.6 patch.
  * Makefile:
    - Removed inclusion of libXext and libXpm as suggested at
      http://rerun.lefant.net/checklib/log.wmacpi_2.1-5.html.
  * debian/control?
    - Bumped Standards-Version to 3.7.2.0.
    - Removed Build-Depends on libxext-dev and libxpm-dev.

 -- Sebastian Henschel <shensche@debian.org>  Tue, 26 Sep 2006 13:42:52 +1200

wmacpi (2.1-5) unstable; urgency=low

  * wmacpi.c:
    - Fixed previous patch which let libdockapp hijack command line
    options from wmacpi, closes: #350887.

 -- Sebastian Henschel <shensche@debian.org>  Thu,  2 Feb 2006 14:20:24 +0100

wmacpi (2.1-4) unstable; urgency=low

  * wmacpi.c:
    - Added compatibility patch for libdockapp 0.6.x, closes: #350445.

 -- Sebastian Henschel <shensche@debian.org>  Tue, 31 Jan 2006 09:31:47 +0100

wmacpi (2.1-3) unstable; urgency=low

  * debian/control:
    - Changed build-dependencies due to xlibs-dev transition.
  * debian/copyright:
    - Updated postal address of the FSF.

 -- Sebastian Henschel <shensche@debian.org>  Thu,  1 Dec 2005 11:10:44 +0100

wmacpi (2.1-2) unstable; urgency=low

  * debian/watch:


=== debian/control ===
Source: wmacpi
Section: x11
Priority: extra
Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, x11proto-core-dev,
 libxext-dev, libdockapp-dev (>= 1:0.5.0)
Standards-Version: 3.9.2
Homepage: http://himi.org/wmacpi/

Package: wmacpi
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACPI battery monitor for WindowMaker
 This is a battery monitor that uses ACPI to query the battery status.
 This version should work with all recent kernels (vanilla > 2.4.21), both
 2.4.x and 2.6.x.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTALLDIR=$(CURDIR)/debian/wmacpi

# These are used for cross-compiling and for saving the configure script
# # from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp

	$(MAKE) clean-all

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -o root -g root -m 755 wmacpi $(INSTALLDIR)/usr/bin/

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman wmacpi.1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build binary-indep binary-arch binary install clean

=== debian/watch ===
version=3
http://himi.org/wmacpi/download/wmacpi-([^ng]*)\.tar\.bz2	debian	uupdate

## wmacpi 2.2~rc5+ds

=== debian/changelog ===
wmacpi (2.2~rc5+ds-1) unstable; urgency=low

  * Repack source tarball to exclude .arch-ids and .hg*.
    + Add debian/README.source to explain this.
    + Add dversionmangle option to debian/watch.
  * Rename /usr/bin/acpi to /usr/bin/wmacpi-cli to avoid conflict with the acpi
    package.
    + Remove Breaks: acpi from debian/control.
    + Add debian/patches/rename_acpi_to_wmacpi-cli.patch, which does the
      renaming.
    + Add explanation to debian/README.source.
  * debian/control:
    + Bump Standards-Version to 3.9.5, no changes required.
    + Update Homepage.
    + Add Vcs-* fields.
  * debian/copyright:
    + Update Upstream-Contact and Source.
  * debian/dirs:
    + Remove file; unneccessary as directory is created by make install.
  * debian/manpages:
    + Remove file; manpages now installed by debian/rules.
  * debian/patches:
    + Remove man_no_acpi.patch since (wm)acpi(-cli) has been included in package
      since version 2.2~rc5-2.
    + Add debian/patches/install_manpages_to_usr_share.patch, which correctly
      installs manpages to /usr/share/man/man1.
  * debian/rules:
    + Change to use upstream make install.
  * debian/watch:
    + Update location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 28 Jul 2014 16:38:37 -0500

wmacpi (2.2~rc5-2) unstable; urgency=low

  * New maintainer. (Closes: #688533)
  * debian/compat:
    + Bump debhelper version to 9.
  * debian/control:
    + Bump Standards-Version to 3.9.4, no changes required.
    + Add Breaks: acpi (both install /usr/bin/acpi).
  * debian/copyright:
    + Update to copyright format 1.0.
  * debian/rules:
    + Simplify to debhelper 7 style.
  * debian/patches:
    + Fix compiler flags to harden binaries.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 13 Oct 2013 19:40:05 -0500

=== debian/control ===
Source: wmacpi
Section: x11
Priority: extra
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, x11proto-core-dev,
 libxext-dev, libdockapp-dev (>= 1:0.5.0)
Standards-Version: 3.9.5
Homepage: http://wmacpi.sourceforge.net
Vcs-Browser: https://github.com/d-torrance/wmacpi
Vcs-Git: https://github.com/d-torrance/wmacpi.git

Package: wmacpi
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACPI battery monitor for WindowMaker
 This is a battery monitor that uses ACPI to query the battery status.
 This version should work with all recent kernels (vanilla > 2.4.21), both
 2.4.x and 2.6.x.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	make clean-all

override_dh_auto_install:
	make install PREFIX=$(CURDIR)/debian/wmacpi/usr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,uversionmangle=s/(\d)[_\.\-\+]?((RC|r|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://sf.net/wmacpi/wmacpi(?:-ng|)-(.+)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## wmacpi 2.2

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 #OPT	= -pg -g
 
 CC	:= gcc
-CFLAGS	:= $(OPT) -Wall -W -g -ansi -I/usr/X11R6/include
-LDFLAGS := $(OPT) -lX11 -ldockapp
+CFLAGS	+= $(OPT) -Wall -W -g -ansi -I/usr/X11R6/include
+LDFLAGS += $(OPT) -lX11 -ldockapp
 
 WMSRC	:= wmacpi.c libacpi.c
 HEADERS := libacpi.h wmacpi.h
@@ -22,8 +22,8 @@
 doc_targets := wmacpi.1
 
 ifdef BUILD_CLI
-targets += acpi
-doc_targets += acpi.1
+targets += wmacpi-cli
+doc_targets += wmacpi-cli.1
 endif
 
 PREFIX := /usr/local
@@ -42,11 +42,11 @@
 # for the Debian package, we want to make building the command line tools
 # optional. So, we hide all the necessary stuff here . . . 
 ifdef BUILD_CLI
-CLSRC := acpi.c libacpi.c
+CLSRC := wmacpi-cli.c libacpi.c
 CLOBJ := $(patsubst %.c,%.o,$(filter %.c,$(CLSRC)))
 -include $(CLOBJ:.o=.d)
 
-acpi: $(CLOBJ)
+wmacpi-cli: $(CLOBJ)
 	$(CC) $(LDFLAGS) -o $@ $^
 endif
 
@@ -64,8 +64,8 @@
 install: $(targets)
 	install -d $(PREFIX)/bin/
 	install -pc $(targets) $(PREFIX)/bin/
-	install -d $(PREFIX)/man/man1/
-	install -pc $(doc_targets) $(PREFIX)/man/man1/
+	install -d $(PREFIX)/share/man/man1/
+	install -pc $(doc_targets) $(PREFIX)/share/man/man1/
 
 tags:
 	etags $(WMSRC) $(CLSRC) $(HEADERS)

=== debian/changelog ===
wmacpi (2.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove debian/patches; all patches applied upstream.
    - Remove README.source; all changes applied upstream.
  * debian/control:
    - Update Homepage.
  * debian/copyright:
    - Update Upstream-Contact and Source.
  * debian/rules:
    - Add get-orig-source target.
  * debian/watch:
    - Update with new location.
    - Remove dversionmangle option.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Fri, 22 Aug 2014 19:29:47 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, x11proto-core-dev,
- libxext-dev, libdockapp-dev (>= 1:0.5.0)
+ libxext-dev, libdockapp-dev
 Standards-Version: 3.9.5
-Homepage: http://wmacpi.sourceforge.net
+Homepage: http://windowmaker.org/dockapps/?name=wmacpi
 Vcs-Browser: https://github.com/d-torrance/wmacpi
 Vcs-Git: https://github.com/d-torrance/wmacpi.git

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,8 @@
 
 override_dh_auto_install:
 	make install PREFIX=$(CURDIR)/debian/wmacpi/usr
+
+get-orig-source:
+	uscan --verbose --force-download
+	rename -v "s/wmacpi-(.+)\.download/wmacpi_\1\.orig\.tar\.gz/" \
+		../wmacpi-*.download

## wmacpi 2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # set options.  pick one, acpi or apm.  comment out the other one.  don't
 # uncomment both, bad things will happen :)
 
-OPT	:= -O2 
+OPT	:= -O2
 
 # uncomment this to build the command line acpi tool
 BUILD_CLI = 1
@@ -13,7 +13,7 @@
 #OPT	= -pg -g
 
 CC	:= gcc
-CFLAGS	+= $(OPT) -Wall -W -g -ansi -I/usr/X11R6/include
+CFLAGS	+= $(OPT) -Wall -W -g -ansi
 LDFLAGS += $(OPT) -lX11 -ldockapp
 
 WMSRC	:= wmacpi.c libacpi.c
@@ -40,7 +40,7 @@
 	$(CC) -o $@ $^ $(LDFLAGS)
 
 # for the Debian package, we want to make building the command line tools
-# optional. So, we hide all the necessary stuff here . . . 
+# optional. So, we hide all the necessary stuff here . . .
 ifdef BUILD_CLI
 CLSRC := wmacpi-cli.c libacpi.c
 CLOBJ := $(patsubst %.c,%.o,$(filter %.c,$(CLSRC)))
@@ -56,16 +56,16 @@
 	gcc -MM $(CFLAGS) $< > $@
 
 clean:
-	rm -f TAGS *.o *~ trace *.out *.bb *.bbg 
+	rm -f TAGS *.o *~ trace *.out *.bb *.bbg
+	rm -f *.d $(targets)
 
 clean-all: clean
-	rm -f *.d $(targets)
 
 install: $(targets)
-	install -d $(PREFIX)/bin/
-	install -pc $(targets) $(PREFIX)/bin/
-	install -d $(PREFIX)/share/man/man1/
-	install -pc $(doc_targets) $(PREFIX)/share/man/man1/
+	install -d $(DESTDIR)$(PREFIX)/bin/
+	install -pc $(targets) $(DESTDIR)$(PREFIX)/bin/
+	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
+	install -pc $(doc_targets) $(DESTDIR)$(PREFIX)/share/man/man1/
 
 tags:
 	etags $(WMSRC) $(CLSRC) $(HEADERS)

=== debian/changelog ===
wmacpi (2.3-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:50:32 +0000

wmacpi (2.3-2) unstable; urgency=medium

  * debian/control
    - Tidy up using wrap-and-sort.
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/rules
    - Add new path to libdockapp header file to CPPFLAGS (Closes: #798188).

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 06 Sep 2015 11:24:35 -0400

wmacpi (2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
    - Remove unnecessary Build-Depends on x11proto-core-dev.
    - Update Architecture to linux-any.
  * debian/rules
    - Update get-orig-source target for new versions of uscan and rename.
    - Remove override_dh_auto_clean target; no longer needed.
    - Update override_dh_auto_install target; Makefile now respects DESTDIR.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 24 Nov 2014 06:30:45 -0600

=== debian/control ===
Source: wmacpi
Section: x11
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libdockapp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmacpi
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmacpi.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmacpi.git

Package: wmacpi
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ACPI battery monitor for WindowMaker
 This is a battery monitor that uses ACPI to query the battery status.
 This version should work with all recent kernels (vanilla > 2.4.21), both
 2.4.x and 2.6.x.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|r|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://windowmaker.org/dockapps/?name=wmacpi \?download=wmacpi-(.+).tar.gz

## wmacpi 2.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # set options.  pick one, acpi or apm.  comment out the other one.  don't
 # uncomment both, bad things will happen :)
+
+WMACPI_VER = 2.4
 
 OPT	:= -O2
 
@@ -13,11 +15,11 @@
 #OPT	= -pg -g
 
 CC	:= gcc
-CFLAGS	+= $(OPT) -Wall -W -g -ansi
+CFLAGS	+= $(OPT) -Wall -W -g -ansi -DWMACPI_VER='"$(WMACPI_VER)"'
 LDFLAGS += $(OPT) -lX11 -ldockapp
 
 WMSRC	:= wmacpi.c libacpi.c
-HEADERS := libacpi.h wmacpi.h
+HEADERS := libacpi.h
 targets := wmacpi
 doc_targets := wmacpi.1

=== debian/changelog ===
wmacpi (2.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump debhelper compatibility level to 13.
    - Bump Standards-Version to 4.6.0.
  * debian/copyright
    - Update my copyright years and add my email address.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 19 Oct 2021 05:59:00 -0400

wmacpi (2.4-1) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.
  * Update Format in d/copyright to https.
  * Switch Priority from extra to optional.
  * Update homepage to dockapps.net.

  [ Jeremy Sowden ]
  * New upstream version 2.4.
    - fixes GCC-10 FTBFS (closes: #957938).
  * Bump compat to 12 and replace d/compat with b-d on debhelper-compat.
  * Bump Standards-Version to 4.5.0.
  * Add myself to uploaders.
  * Add hardening to d/rules.
  * Set Rules-Requires-Root: no.
  * Remove get-orig-source.
  * Update dockapps.net URL's to https.
  * Add patch to correct typo in man-page.

  [ Andreas Metzler ]
  * Update upstream contact in debian/copyright.
  * Drop now unneeded DEB_CPPFLAGS_MAINT_APPEND from debian/rules.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 03 May 2020 14:17:51 +0100

=== debian/control ===
Source: wmacpi
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
           Jeremy Sowden <jeremy@azazel.net>
Build-Depends: debhelper-compat (= 13),
               libdockapp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmacpi
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmacpi
Vcs-Git: https://salsa.debian.org/wmaker-team/wmacpi.git

Package: wmacpi
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ACPI battery monitor for WindowMaker
 This is a battery monitor that uses ACPI to query the battery status.
 This version should work with all recent kernels (vanilla > 2.4.21), both
 2.4.x and 2.6.x.
